{$mode objfpc}
unit drect2i;

interface

uses
  dtypes,
  dmath,
  dvector2i;

type
TRect2i = packed record
  P, S: TVec2i;
end;

function Rect2i(const P, S: TVec2i): TRect2i; inline;

implementation

function Rect2i(const P, S: TVec2i): TRect2i;
begin
  Result.P := P;
  Result.S := S;
end;

end.
